> ## Documentation Index
> Fetch the complete documentation index at: https://hmis-docs.derrickmugabwa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List bookable outpatient clinics



## OpenAPI

````yaml /openapi-patient.yaml get /patient/clinics
openapi: 3.1.0
info:
  title: HMIS Patient Mobile API
  version: 1.0.0
  description: >-
    Patient-owned authentication, appointment, clinical record, and billing
    operations.
servers:
  - url: https://jaliprohmis.derrickmugabwa.dev/api/v1
    description: HMIS staging API
security:
  - bearerAuth: []
tags:
  - name: Patient authentication
  - name: Patient profile
  - name: Patient appointments
  - name: Patient records
  - name: Patient billing
paths:
  /patient/clinics:
    get:
      tags:
        - Patient appointments
      summary: List bookable outpatient clinics
      operationId: listPatientClinics
      responses:
        '200':
          $ref: '#/components/responses/CollectionResponse'
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  responses:
    CollectionResponse:
      description: Patient-owned collection.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CollectionEnvelope'
    Unauthenticated:
      description: Missing, expired, or invalid bearer token.
    Forbidden:
      description: Token lacks the required patient ability or the account is inactive.
  schemas:
    CollectionEnvelope:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum patient device token

````